/* ---------- HERO ---------- */

.hero {
    position: relative;
    min-height: 100vh;
    background-image: url("/images/HeroZee1.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    overflow: hidden;
}

.hero-content {
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: white;
    margin-top: -4rem;

}

.hero h1 {
    font-family: "Poppins", sans-serif;
    font-size: clamp(3rem, 6vw, 5.2rem);
    font-weight: 400;
    line-height: 1.05;
    letter-spacing: -0.02em;
    margin-bottom: 2rem;
}

.hero p {
    font-family: "Poppins", sans-serif;
}

.hero h4 {
    font-family: "Inter", sans-serif;
}

.arrow-right {
    display: inline-block;
    width: 0.6em;
    height: 0.6em;
    border: solid white;
    border-width: 0 0.12em 0.12em 0;
    transform: rotate(-45deg);
    margin: 0 0.25em;
    vertical-align: middle;
}


.hero-contact {
    position: absolute;
    left: 2.5rem;
    bottom: 2.5rem;
    color: white;
}

.highlight {
    position: relative;
    display: inline-block;
    z-index: 1;
}

.highlight::before {
    content: "";
    position: absolute;
    left: -0.1em;
    right: -0.1em;
    bottom: 0.15em;
    height: 0.55em;

    background: skyblue;
    opacity: 0.85;

    border-radius: 0.2em 0.3em 0.25em 0.35em;
    transform: rotate(-1.5deg);

    z-index: -1;
}

.highlight::before {
  animation: draw 0.6s ease-out forwards;
  transform-origin: left center;
}

@keyframes draw {
  from {
    transform: scaleX(0) rotate(-1.5deg);
  }
  to {
    transform: scaleX(1) rotate(-1.5deg);
  }
}

/* ---------- HOME SECTIONS ---------- */

.home .section {
    padding: 8rem 0;
}

/* ---------- SPLIT ---------- */

.split {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 4rem;
}

.split-reverse {
    direction: rtl;
}

.split-reverse > * {
    direction: ltr;
}

.partners-links a{
    color: cadetblue;
    font-weight: 500;
}

.partners-links a:hover {
    text-decoration: underline;
}

/* ---------- BUTTONS ---------- */

.btn {
    font-family: "Inter", sans-serif;
    padding: 0.8rem 1.6rem;
    display: inline-block;
    text-decoration: none;

}

.btn-dark {
    background: #f7c95c;
    color: #fff;
    padding: 1rem 2rem;
    margin-top: 3rem;
}

/* ---------- Base ---------- */

.button-p {
    max-width: 520px;
    margin-bottom: 3rem;

}
